For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
OverviewCodaControlAPI ReferenceChangelog
OverviewCodaControlAPI ReferenceChangelog
  • Coda API
  • Control API
      • GETList Agents
      • POSTRun Agent
  • Stanza API
    • stanza
    • cli
    • context
    • device
    • exceptions
    • models
    • pyvisa
    • registry
    • timing
    • utils
LogoLogo
Control APIAgents

List Agents

GET
https://api.conductorquantum.com/v0/agents
GET
/v0/agents
1from conductorquantum import ConductorQuantum
2
3client = ConductorQuantum(
4 token="YOUR_TOKEN",
5)
6
7agents = client.control.agents.list()
8for agent in agents:
9 print(f"{agent.id}: {agent.name}")
1[
2 {
3 "id": "ising-calibration-v1",
4 "name": "Ising Calibration",
5 "description": "Analyses calibration plots using the Ising VLM."
6 }
7]

List available AI agents. Returns each agent’s ID, name, and description. Currently includes ising-calibration-v1 for autonomous quantum calibration using the NVIDIA Ising Calibration VLM.

Was this page helpful?
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

skipintegerOptionalDefaults to 0
The number of agents to skip.
limitintegerOptionalDefaults to 100
The number of agents to include.

Response

Successful Response
idstring
The string ID of the agent
namestring
The name of the agent
descriptionstring
The description of the agent

Errors

404
Not Found Error
422
Unprocessable Entity Error